ViennaCL - The Vienna Computing Library: viennacl::device_specific::matrix_product_parameters Struct Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
viennacl::device_specific::matrix_product_parameters Struct Reference

`#include <matrix_product_template.hpp>`

Inheritance diagram for viennacl::device_specific::matrix_product_parameters:

## Public Member Functions
| matrix_product_parameters (unsigned int simd_width, unsigned int local_size_0, unsigned int KL, unsigned int local_size_1, unsigned int ms, unsigned int ks, unsigned int ns, fetching_policy_type A_fetching_policy_param, fetching_policy_type B_fetching_policy_param, unsigned int local_fetch_0_param, unsigned int local_fetch_1_param)
Public Member Functions inherited from viennacl::device_specific::template_base::parameters_type
| parameters_type (unsigned int _simd_width, unsigned int _local_size_1, unsigned int _local_size_2, unsigned int _num_kernels)

## Public Attributes
unsigned int | kL
unsigned int | mS
unsigned int | kS
unsigned int | nS
fetching_policy_type | A_fetching_policy
fetching_policy_type | B_fetching_policy
unsigned int | local_fetch_0
unsigned int | local_fetch_1
unsigned int | mL
unsigned int | nL
Public Attributes inherited from viennacl::device_specific::template_base::parameters_type
unsigned int | simd_width
unsigned int | local_size_0
unsigned int | local_size_1
unsigned int | num_kernels

## Detailed Description

Definition at line 47 of file matrix_product_template.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::matrix_product_parameters::matrix_product_parameters | ( | unsigned int | simd_width,
|  | unsigned int | local_size_0,
|  | unsigned int | KL,
|  | unsigned int | local_size_1,
|  | unsigned int | ms,
|  | unsigned int | ks,
|  | unsigned int | ns,
|  | fetching_policy_type | A_fetching_policy_param,
|  | fetching_policy_type | B_fetching_policy_param,
|  | unsigned int | local_fetch_0_param,
|  | unsigned int | local_fetch_1_param
| ) |  |
| inline

Definition at line 49 of file matrix_product_template.hpp.

## Member Data Documentation

fetching_policy_type viennacl::device_specific::matrix_product_parameters::A_fetching_policy

Definition at line 64 of file matrix_product_template.hpp.

fetching_policy_type viennacl::device_specific::matrix_product_parameters::B_fetching_policy

Definition at line 65 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::kL

Definition at line 58 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::kS

Definition at line 61 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::local_fetch_0

Definition at line 67 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::local_fetch_1

Definition at line 68 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::mL

Definition at line 70 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::mS

Definition at line 60 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::nL

Definition at line 71 of file matrix_product_template.hpp.

unsigned int viennacl::device_specific::matrix_product_parameters::nS

Definition at line 62 of file matrix_product_template.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/templates/matrix_product_template.hpp